# launcherFor

abstract fun launcherFor(config: Action<in JavaToolchainSpec>): Provider<JavaLauncher>

Obtain a JavaLauncher matching the JavaToolchainSpec, as configured by the provided action.

#### Return

A `Provider<JavaLauncher>`

#### Parameters

config

The configuration of the `JavaToolchainSpec`

abstract fun launcherFor(spec: JavaToolchainSpec): Provider<JavaLauncher>

Obtain a JavaLauncher matching the JavaToolchainSpec.

#### Return

A `Provider<JavaLauncher>`

#### Parameters

spec

The `JavaToolchainSpec`